%define upstream_name GitPython
%define beta    beta2

%define subrel 1

Name: 		python-gitpython
Version: 	0.3.1
Release: 	%mkrel 9
Summary: 	Python Git library
License:	BSD
Group: 		Development/Python
Url: 		http://gitorious.org/projects/git-python/
Source0: 	http://pypi.python.org/packages/source/G/GitPython/GitPython-%{version}-%{beta}.tar.gz
Patch0:		gpg_signed_commits.patch
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
GitPython is a python library used to interact with Git repositories.

GitPython provides object model access to your git repository. Once you have
created a repository object, you can traverse it to find parent commit(s),
trees, blobs, etc.

GitPython is a port of the grit library in Ruby created by Tom Preston-Werner
and Chris Wanstrath

%prep
%setup -q -n git-python-mainline
%patch0 -p1


%build
python setup.py build

%install
python setup.py install --root=%{buildroot}

%files
%doc AUTHORS CHANGES README.rst LICENSE TODO VERSION
%{python_sitelib}/git
%{python_sitelib}/GitPython-%{version}-py%{pyver}.egg-info




%changelog
* Wed May 25 2016 philippem <philippem> 0.3.1-9.1.mga5
+ Revision: 1018453
- fix with upstream patch mga#18540

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-9.mga5
+ Revision: 750493
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-8.mga5
+ Revision: 728559
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 688053
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.1-5.mga4
+ Revision: 543588
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.1-4.mga4
+ Revision: 498689
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-3.mga3
+ Revision: 378907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 19 2011 guillomovitch <guillomovitch> 0.3.1-2.mga2
+ Revision: 126539
- imported package python-gitpython

